# This provides a mapping between schema names used on what is currently the
# "HSC stack" and the main LSST stack.  The former will eventually become
# obsolete, but for now this mapper is required for making comparisons between
# outputs produced by the different stacks.
# Note that this list is not exhaustive.
config.srcSchemaMap = {
    "deblend_nChild": "deblend_nchild",
    "deblend_deblendedAsPsf": "deblend_deblended-as-psf",
    "deblend_psfCenter_x": "deblend_psf-center_x",
    "deblend_psfCenter_y": "deblend_psf-center_y",
    "deblend_psfFlux": "deblend_psf-flux",
    "deblend_tooManyPeaks": "deblend_too-many-peaks",
    "deblend_parentTooBig": "deblend_parent-too-big",
    "deblend_rampedTemplate": "deblend_ramped_template",
    "deblend_patchedTemplate": "deblend_patched_template",
    "deblend_hasStrayFlux": "deblend_has_stray_flux",
    "base_GaussianCentroid_x": "no_equivalent",
    "base_GaussianCentroid_y": "no_equivalent",
    "base_GaussianCentroid_flag": "no_equivalent",
    "base_GaussianCentroid_flag_noPeak": "no_equivalent",
    "base_SdssCentroid_x": "centroid_sdss_x",
    "base_SdssCentroid_y": "centroid_sdss_y",
    "base_SdssCentroid_xErr": "centroid_sdss_err_xErr",
    "base_SdssCentroid_yErr": "centroid_sdss_err_yErr",
    "base_SdssCentroid_flag": "centroid_sdss_flag",
    "base_SdssCentroid_flag_edge": "no_equivalent",
    "base_SdssCentroid_flag_noSecondDerivative": "no_equivalent",
    "base_SdssCentroid_flag_almostNoSecondDerivative": "no_equivalent",
    "base_SdssCentroid_flag_notAtMaximum": "no_equivalent",
    "base_SdssShape_xx": "shape_sdss_xx",
    "base_SdssShape_yy": "shape_sdss_yy",
    "base_SdssShape_xy": "shape_sdss_xy",
    "base_SdssShape_xxErr": "shape_sdss_err_xxErr",
    "base_SdssShape_yyErr": "shape_sdss_err_yyErr",
    "base_SdssShape_xyErr": "shape_sdss_err_xyErr",
    "base_SdssShape_x": "shape_sdss_centroid_x",
    "base_SdssShape_y": "shape_sdss_centroid_y",
    "base_SdssShape_flux": "no_equivalent",
    "base_SdssShape_fluxErr": "no_equivalent",
    "base_SdssShape_flux_xx_Cov": "no_equivalent",
    "base_SdssShape_flux_yy_Cov": "no_equivalent",
    "base_SdssShape_flux_xy_Cov": "no_equivalent",
    "base_SdssShape_flag": "shape_sdss_flag",
    "base_SdssShape_flag_unweightedBad": "shape_sdss_flag_unweightedbad",
    "base_SdssShape_flag_unweighted": "shape_sdss_flag_unweighted",
    "base_SdssShape_flag_shift": "shape_sdss_flag_shift",
    "base_SdssShape_flag_maxIter": "shape_sdss_flag_maxiter",
    "base_SdssShape_psf_xx": "shape_sdss_psf_xx",
    "base_SdssShape_psf_yy": "shape_sdss_psf_yy",
    "base_SdssShape_psf_xy": "shape_sdss_psf_xy",
    "base_SdssShape_flag_psf": "shape_sdss_flag_psf",
    "base_CircularApertureFlux_3_0_flux": "no_equivalent",
    "base_CircularApertureFlux_3_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_3_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_3_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_3_0_flag_sincCoeffsTruncated": "no_equivalent",
    "base_CircularApertureFlux_4_5_flux": "no_equivalent",
    "base_CircularApertureFlux_4_5_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_4_5_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_4_5_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_4_5_flag_sincCoeffsTruncated": "no_equivalent",
    "base_CircularApertureFlux_6_0_flux": "no_equivalent",
    "base_CircularApertureFlux_6_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_6_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_6_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_6_0_flag_sincCoeffsTruncated": "no_equivalent",
    "base_CircularApertureFlux_9_0_flux": "no_equivalent",
    "base_CircularApertureFlux_9_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_9_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_9_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_9_0_flag_sincCoeffsTruncated": "no_equivalent",
    "base_CircularApertureFlux_12_0_flux": "flux_sinc",
    "base_CircularApertureFlux_12_0_fluxErr": "flux_sinc_err",
    "base_CircularApertureFlux_12_0_flag": "flux_sinc_flag",
    "base_CircularApertureFlux_12_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_12_0_flag_sincCoeffsTruncated": "no_equivalent",
    "base_CircularApertureFlux_17_0_flux": "no_equivalent",
    "base_CircularApertureFlux_17_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_17_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_17_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_25_0_flux": "no_equivalent",
    "base_CircularApertureFlux_25_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_25_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_25_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_35_0_flux": "no_equivalent",
    "base_CircularApertureFlux_35_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_35_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_35_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_50_0_flux": "no_equivalent",
    "base_CircularApertureFlux_50_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_50_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_50_0_flag_apertureTruncated": "no_equivalent",
    "base_CircularApertureFlux_70_0_flux": "no_equivalent",
    "base_CircularApertureFlux_70_0_fluxErr": "no_equivalent",
    "base_CircularApertureFlux_70_0_flag": "no_equivalent_flag",
    "base_CircularApertureFlux_70_0_flag_apertureTruncated": "no_equivalent",
    "base_GaussianFlux_flux": "flux_gaussian",
    "base_GaussianFlux_fluxErr": "flux_gaussian_err",
    "base_GaussianFlux_flag": "flux_gaussian_flag",
    "base_PixelFlags_flag": "no_equivalent",
    "base_PixelFlags_flag_edge": "flag_pixel_edge",
    "base_PixelFlags_flag_offimage": "flag_pixel_offimage",
    "base_PixelFlags_flag_interpolated": "flag_pixel_interpolated_any",
    "base_PixelFlags_flag_interpolatedCenter": "flag_pixel_interpolated_center",
    "base_PixelFlags_flag_saturated": "flag_pixel_saturated_any",
    "base_PixelFlags_flag_saturatedCenter": "flag_pixel_saturated_center",
    "base_PixelFlags_flag_suspect": "flag_pixel_suspect_any",
    "base_PixelFlags_flag_suspectCenter": "flag_pixel_suspect_center",
    "base_PixelFlags_flag_cr": "flag_pixel_cr_any",
    "base_PixelFlags_flag_crCenter": "flag_pixel_cr_center",
    "base_PixelFlags_flag_bad": "flag_pixel_bad",
    "base_PsfFlux_flux": "flux_psf",
    "base_PsfFlux_fluxErr": "flux_psf_err",
    "base_PsfFlux_flag": "flux_psf_flag",
    "base_PsfFlux_flag_noGoodPixels": "no_equivalent",
    "base_PsfFlux_flag_edge": "no_equivalent",
    "ext_shapeHSM_HsmPsfMoments_x": "shape_hsm_psfMoments_centroid_x",
    "ext_shapeHSM_HsmPsfMoments_y": "shape_hsm_psfMoments_centroid_y",
    "ext_shapeHSM_HsmPsfMoments_xx": "shape_hsm_psfMoments_xx",
    "ext_shapeHSM_HsmPsfMoments_yy": "shape_hsm_psfMoments_yy",
    "ext_shapeHSM_HsmPsfMoments_xy": "shape_hsm_psfMoments_xy",
    "ext_shapeHSM_HsmPsfMoments_flag": "shape_hsm_psfMoments_flag",
    "ext_shapeHSM_HsmPsfMoments_flag_no_pixels": "no_equivalent",
    "ext_shapeHSM_HsmPsfMoments_flag_not_contained": "no_equivalent",
    "ext_shapeHSM_HsmPsfMoments_flag_galsim": "no_equivalent",
    "ext_shapeHSM_HsmShapeRegauss_e1": "shape_hsm_regauss_e1",
    "ext_shapeHSM_HsmShapeRegauss_e2": "shape_hsm_regauss_e2",
    "ext_shapeHSM_HsmShapeRegauss_sigma": "shape_hsm_regauss_sigma",
    "ext_shapeHSM_HsmShapeRegauss_resolution": "shape_hsm_regauss_resolution",
    "ext_shapeHSM_HsmShapeRegauss_flag": "shape_hsm_regauss_flag",
    "ext_shapeHSM_HsmShapeRegauss_flag_no_pixels": "no_equivalent",
    "ext_shapeHSM_HsmShapeRegauss_flag_not_contained": "no_equivalent",
    "ext_shapeHSM_HsmShapeRegauss_flag_parent_source": "no_equivalent",
    "ext_shapeHSM_HsmShapeRegauss_flag_galsim": "no_equivalent",
    "ext_shapeHSM_HsmSourceMoments_x": "shape_hsm_moments_centroid_x",
    "ext_shapeHSM_HsmSourceMoments_y": "shape_hsm_moments_centroid_y",
    "ext_shapeHSM_HsmSourceMoments_xx": "shape_hsm_moments_xx",
    "ext_shapeHSM_HsmSourceMoments_yy": "shape_hsm_moments_yy",
    "ext_shapeHSM_HsmSourceMoments_xy": "shape_hsm_moments_xy",
    "ext_shapeHSM_HsmSourceMoments_flag": "shape_hsm_moments_flag",
    "ext_shapeHSM_HsmSourceMoments_flag_no_pixels": "no_equivalent",
    "ext_shapeHSM_HsmSourceMoments_flag_not_contained": "no_equivalent",
    "ext_shapeHSM_HsmSourceMoments_flag_galsim": "no_equivalent",
    "ext_photometryKron_KronFlux_flux": "flux_kron",
    "ext_photometryKron_KronFlux_fluxErr": "flux_kron_err",
    "ext_photometryKron_KronFlux_radius": "flux_kron_radius",
    "ext_photometryKron_KronFlux_radius_for_radius": "flux_kron_radiusForRadius",
    "ext_photometryKron_KronFlux_psf_radius": "flux_kron_psfRadius",
    "ext_photometryKron_KronFlux_flag": "flux_kron_flag",
    "ext_photometryKron_KronFlux_flag_edge": "flux_kron_flag_edge",
    "ext_photometryKron_KronFlux_flag_bad_shape_no_psf": "no_equivalent",
    "ext_photometryKron_KronFlux_flag_no_minimum_radius": "no_equivalent",
    "ext_photometryKron_KronFlux_flag_no_fallback_radius": "no_equivalent",
    "ext_photometryKron_KronFlux_flag_radius": "flux_kron_flag_radius",
    "ext_photometryKron_KronFlux_flag_used_minimum_radius": "flux_kron_flag_usedMinimumRadius",
    "ext_photometryKron_KronFlux_flag_used_psf_radius": "flux_kron_flag_usedPsfRadius",
    "ext_photometryKron_KronFlux_flag_small_radius": "flux_kron_flag_smallRadius",
    "ext_photometryKron_KronFlux_flag_bad_shape": "flux_kron_flag_badShape",
    "base_FPPosition_x": "focalplane_x",
    "base_FPPosition_y": "focalplane_y",
    "base_FPPosition_flag": "no_equivalent",
    "base_Jacobian_value": "jacobian",
    "base_Jacobian_flag": "no_equivalent",
    "base_ClassificationExtendedness_value": "classification_extendedness",
    "base_ClassificationExtendedness_flag": "no_equivalent",
    "base_ClassificationSizeExtendedness_value": "classification_sizeExtendedness",
    "base_ClassificationSizeExtendedness_flag": "no_equivalent",
    "base_PsfFlux_apCorr": "flux_psf_apcorr",
    "base_PsfFlux_apCorrErr": "flux_psf_apcorr_err",
    "base_PsfFlux_flag_apCorr": "flux_psf_flag_apcorr",
    "ext_photometryKron_KronFlux_apCorr": "flux_kron_apcorr",
    "ext_photometryKron_KronFlux_apCorrErr": "flux_kron_apcorr_err",
    "ext_photometryKron_KronFlux_flag_apCorr": "flux_kron_flag_apcorr",
    "base_GaussianFlux_apCorr": "flux_gaussian_apcorr",
    "base_GaussianFlux_apCorrErr": "flux_gaussian_apcorr_err",
    "base_GaussianFlux_flag_apCorr": "flux_gaussian_flag_apcorr",
    "modelfit_CModel_initial_flux": "cmodel_initial_flux",
    "modelfit_CModel_initial_fluxErr": "cmodel_initial_flux_err",
    "modelfit_CModel_initial_flag": "cmodel_initial_flux_flag",
    "modelfit_CModel_initial_flux_inner": "cmodel_initial_flux_inner",
    "modelfit_CModel_initial_flag_badReference": "cmodel_initial_flag_badReference",
    "modelfit_CModel_initial_flag_numericError": "cmodel_initial_flag_numericError",
    "modelfit_CModel_exp_flux": "cmodel_exp_flux",
    "modelfit_CModel_exp_fluxErr": "cmodel_exp_flux_err",
    "modelfit_CModel_exp_flag": "cmodel_exp_flux_flag",
    "modelfit_CModel_exp_flux_inner": "cmodel_exp_flux_inner",
    "modelfit_CModel_exp_flag_badReference": "cmodel_exp_flag_badReference",
    "modelfit_CModel_exp_flag_numericError": "cmodel_exp_flag_numericError",
    "modelfit_CModel_dev_flux": "cmodel_dev_flux",
    "modelfit_CModel_dev_fluxErr": "cmodel_dev_flux_err",
    "modelfit_CModel_dev_flag": "cmodel_dev_flux_flag",
    "modelfit_CModel_dev_flux_inner": "cmodel_dev_flux_inner",
    "modelfit_CModel_dev_flag_badReference": "cmodel_dev_flag_badReference",
    "modelfit_CModel_dev_flag_numericError": "cmodel_dev_flag_numericError",
    "modelfit_CModel_flux": "cmodel_flux",
    "modelfit_CModel_fluxErr": "cmodel_flux_err",
    "modelfit_CModel_flag": "cmodel_flux_flag",
    "modelfit_CModel_flux_inner": "cmodel_flux_inner",
    "modelfit_CModel_fracDev": "cmodel_fracDev",
    "modelfit_CModel_objective": "cmodel_objective",
    "modelfit_CModel_flag_region_maxArea": "cmodel_flag_region_maxArea",
    "modelfit_CModel_flag_region_maxBadPixelFraction": "cmodel_flag_region_maxBadPixelFraction",
    "modelfit_CModel_flag_badReference": "cmodel_flag_badReference",
    "modelfit_CModel_flag_noShapeletPsf": "cmodel_flag_noPsf",
    "modelfit_CModel_flag_badCentroid": "cmodel_flag_badCentroid",
    "modelfit_CModel_exp_apCorr": "cmodel_exp_flux_apcorr",
    "modelfit_CModel_exp_apCorrErr": "cmodel_exp_flux_apcorr_err",
    "modelfit_CModel_exp_flag_apCorr": "cmodel_exp_flux_flag_apcorr",
    "modelfit_CModel_apCorr": "cmodel_flux_apcorr",
    "modelfit_CModel_apCorrErr": "cmodel_flux_apcorr_err",
    "modelfit_CModel_flag_apCorr": "cmodel_flux_flag_apcorr",
    "modelfit_CModel_initial_apCorr": "no_equivalent",
    "modelfit_CModel_initial_apCorrErr": "no_equivalent",
    "modelfit_CModel_initial_flag_apCorr": "no_equivalent",
    "modelfit_CModel_dev_apCorr": "cmodel_dev_flux_apcorr",
    "modelfit_CModel_dev_apCorrErr": "cmodel_dev_flux_apcorr_err",
    "modelfit_CModel_dev_flag_apCorr": "cmodel_dev_flux_flag_apcorr",
}
